<template>
  <div>
    <div class="py-4">
      <v-row>
        <label class="font-weight-bold"> Size S </label>
        <v-row>
          <v-col
            cols="6"
            sm="2"
            md="2"
            lg="2"
            v-for="(item, index) in sizeSList"
            :key="index"
          >
            <v-checkbox
              :label="getLabel(item)"
              color="red"
              :value="item.lkRoomId"
              hide-details
              @change="addORDelLkroomID"
              v-model="checkedLkRoom"
              :disabled="item.status != 'A'"
            ></v-checkbox>
          </v-col>
        </v-row>
      </v-row>
    </div>

    <div class="py-4">
      <v-row>
        <label class="font-weight-bold"> Size M </label>
        <v-row>
          <v-col
            cols="6"
            sm="2"
            md="2"
            lg="2"
            v-for="(item, index) in sizeMList"
            :key="index"
          >
            <v-checkbox
              :label="getLabel(item)"
              color="red"
              :value="item.lkRoomId"
              hide-details
              :disabled="item.status != 'A'"
              @change="addORDelLkroomID"
              v-model="checkedLkRoom"
            ></v-checkbox>
          </v-col>
        </v-row>
      </v-row>
    </div>

    <div class="py-4">
      <v-row>
        <label class="font-weight-bold"> Size L </label>
        <v-row>
          <v-col
            cols="6"
            sm="2"
            md="2"
            lg="2"
            v-for="(item, index) in sizeLList"
            :key="index"
          >
            <v-checkbox
              :label="getLabel(item)"
              color="red"
              :value="item.lkRoomId"
              hide-details
              @change="addORDelLkroomID"
              v-model="checkedLkRoom"
              :disabled="item.status != 'A'"
            ></v-checkbox>
          </v-col>
        </v-row>
      </v-row>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    isCheckBoxError: Boolean,
  },
  data() {
    return {
      lkRoom: [],
      checkedLkRoom: [],
    };
  },
  created() {
    this.lkRoom = this.$store.getters["repair/data"];
  },
  computed: {
    sizeSList() {
      return this.lkRoom.filter((f) => f.lkSizeName === "S");
    },
    sizeMList() {
      return this.lkRoom.filter((f) => f.lkSizeName === "M");
    },
    sizeLList() {
      return this.lkRoom.filter((f) => f.lkSizeName === "L");
    },
  },
  methods: {
    getLabel(lkRoom) {
      if (lkRoom.status == "B") {
        return lkRoom.lkRoomCode + " (มีผู้ใช้งาน)";
      }
      if (lkRoom.status == "F") {
        return lkRoom.lkRoomCode + " (อยู่ในการซ่อม)";
      }
      return lkRoom.lkRoomCode;
    },
    addORDelLkroomID() {
      this.$store.dispatch("repair/ChangeLkRoomIdList", this.checkedLkRoom);
    },
  },
};
</script>

<style>
</style>